<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: コア API</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>コア API</h1>
<p>libm17n-core.so が提供する API  
<a href="#_details">[詳細]</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>モジュール</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nObject.html">管理下オブジェクト</a></td></tr>

<p><tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>参照回数で管理されるオブジェクト </p>
<br/></td></tr>
</p>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nSymbol.html">シンボル</a></td></tr>

<p><tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>シンボルオブジェクトとそれに関する API. </p>
<br/></td></tr>
</p>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html">プロパティリスト</a></td></tr>

<p><tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>プロパティリストオブジェクトとそれに関する API. </p>
<br/></td></tr>
</p>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html">文字</a></td></tr>

<p><tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>文字オブジェクトとそれに関する API. </p>
<br/></td></tr>
</p>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nChartable.html">文字テーブル</a></td></tr>

<p><tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>文字テーブルとそれに関する API. </p>
<br/></td></tr>
</p>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html">M-text</a></td></tr>

<p><tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>M-text オブジェクトとそれに関する API. </p>
<br/></td></tr>
</p>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nTextProperty.html">テキストプロパティ</a></td></tr>

<p><tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>テキストプロパティを操作するための関数. </p>
<br/></td></tr>
</p>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDatabase.html">データベース</a></td></tr>

<p><tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>m17n データベースにとそれに関する API. </p>
<br/></td></tr>
</p>
<tr><td colspan="2"><h2>マクロ定義</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCore.html#ga56e45d7b0345761359001fe038d121ae">M17N_FUNC</a>(func)&nbsp;&nbsp;&nbsp;((<a class="el" href="group__m17nCore.html#ga2216940cb054b8693aa9d65887bb4b5e">M17NFunc</a>) (func))</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">汎関数型へのラッパ.  <a href="#ga56e45d7b0345761359001fe038d121ae"></a><br/></td></tr>
<tr><td colspan="2"><h2>型定義</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef void(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCore.html#ga2216940cb054b8693aa9d65887bb4b5e">M17NFunc</a> )(void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">汎関数型.  <a href="#ga2216940cb054b8693aa9d65887bb4b5e"></a><br/></td></tr>
</table>
<hr/><a name="_details"></a><h2>説明</h2>
<p>libm17n-core.so が提供する API </p>
<hr/><h2>マクロ定義</h2>
<a class="anchor" id="ga56e45d7b0345761359001fe038d121ae"></a><!-- doxytag: member="m17n&#45;core.h::M17N_FUNC" ref="ga56e45d7b0345761359001fe038d121ae" args="(func)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define M17N_FUNC</td>
          <td>(</td>
          <td class="paramtype">func&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td>&nbsp;&nbsp;&nbsp;((<a class="el" href="group__m17nCore.html#ga2216940cb054b8693aa9d65887bb4b5e">M17NFunc</a>) (func))</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>汎関数型へのラッパ. </p>
<p>マクロ <a class="el" href="group__m17nCore.html#ga56e45d7b0345761359001fe038d121ae" title="汎関数型へのラッパ.">M17N_FUNC()</a> は関数を <a class="el" href="group__m17nCore.html#ga2216940cb054b8693aa9d65887bb4b5e" title="汎関数型.">M17NFunc</a> 型へキャストする。 </p>

</div>
</div>
<hr/><h2>型定義</h2>
<a class="anchor" id="ga2216940cb054b8693aa9d65887bb4b5e"></a><!-- doxytag: member="m17n&#45;core.h::M17NFunc" ref="ga2216940cb054b8693aa9d65887bb4b5e" args=")(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(* <a class="el" href="group__m17nCore.html#ga2216940cb054b8693aa9d65887bb4b5e">M17NFunc</a>)(void)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>汎関数型. </p>
<p><a class="el" href="group__m17nCore.html#ga2216940cb054b8693aa9d65887bb4b5e" title="汎関数型.">M17NFunc</a> は汎関数型であり、関数ポインタを <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d" title="シンボルの型宣言.">MSymbol</a> プロパティや <a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2" title="プロパティリスト・オブジェクトの型宣言.">MPlist</a> の値として設定する際用いる。</p>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="group__m17nSymbol.html#gaf0e0b5b8e6e0702ed87df88ad642d7f7" title="シンボルプロパティの値(関数ポインタ)を設定する.">msymbol_put_func()</a>, <a class="el" href="group__m17nSymbol.html#ga6446566f8f6a53e825cea16ffbf4c3bd" title="シンボルプロパティの値 (関数ポインタ) を得る.">msymbol_get_func()</a>, <a class="el" href="group__m17nPlist.html#gab1654476aef37dbea02c56476353ab8e" title="プロパティリスト中のプロパティに関数ポインタである値を設定する...">mplist_put_func()</a>, <a class="el" href="group__m17nPlist.html#ga215ddb45ee970edbee7ff2e2e6bc1e8d" title="プロパティリストからプロパティの関数ポインタである値を得る...">mplist_get_func()</a>. </dd></dl>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
